Open CASCADE Technology  7.5.0.beta
Public Member Functions
LocOpe_Revol Class Reference

Defines a prism (using Prism from BRepSweep) with modifications provided for the Prism feature. More...

#include <LocOpe_Revol.hxx>

Public Member Functions

 LocOpe_Revol ()
 
 LocOpe_Revol (const TopoDS_Shape &Base, const gp_Ax1 &Axis, const Standard_Real Angle, const Standard_Real angledec)
 
 LocOpe_Revol (const TopoDS_Shape &Base, const gp_Ax1 &Axis, const Standard_Real Angle)
 
void Perform (const TopoDS_Shape &Base, const gp_Ax1 &Axis, const Standard_Real Angle, const Standard_Real angledec)
 
void Perform (const TopoDS_Shape &Base, const gp_Ax1 &Axis, const Standard_Real Angle)
 
const TopoDS_ShapeFirstShape () const
 
const TopoDS_ShapeLastShape () const
 
const TopoDS_ShapeShape () const
 
const TopTools_ListOfShapeShapes (const TopoDS_Shape &S) const
 
void Curves (TColGeom_SequenceOfCurve &SCurves) const
 
Handle< Geom_CurveBarycCurve () const
 

Detailed Description

Defines a prism (using Prism from BRepSweep) with modifications provided for the Prism feature.

Constructor & Destructor Documentation

◆ LocOpe_Revol() [1/3]

LocOpe_Revol::LocOpe_Revol ( )

◆ LocOpe_Revol() [2/3]

LocOpe_Revol::LocOpe_Revol ( const TopoDS_Shape Base,
const gp_Ax1 Axis,
const Standard_Real  Angle,
const Standard_Real  angledec 
)

◆ LocOpe_Revol() [3/3]

LocOpe_Revol::LocOpe_Revol ( const TopoDS_Shape Base,
const gp_Ax1 Axis,
const Standard_Real  Angle 
)

Member Function Documentation

◆ BarycCurve()

Handle< Geom_Curve > LocOpe_Revol::BarycCurve ( ) const

◆ Curves()

void LocOpe_Revol::Curves ( TColGeom_SequenceOfCurve SCurves) const

◆ FirstShape()

const TopoDS_Shape& LocOpe_Revol::FirstShape ( ) const

◆ LastShape()

const TopoDS_Shape& LocOpe_Revol::LastShape ( ) const

◆ Perform() [1/2]

void LocOpe_Revol::Perform ( const TopoDS_Shape Base,
const gp_Ax1 Axis,
const Standard_Real  Angle,
const Standard_Real  angledec 
)

◆ Perform() [2/2]

void LocOpe_Revol::Perform ( const TopoDS_Shape Base,
const gp_Ax1 Axis,
const Standard_Real  Angle 
)

◆ Shape()

const TopoDS_Shape& LocOpe_Revol::Shape ( ) const

◆ Shapes()

const TopTools_ListOfShape& LocOpe_Revol::Shapes ( const TopoDS_Shape S) const

The documentation for this class was generated from the following file: